Subject: Re: bug#70277: Crash when attempting to create a regular button

From: Robert Weiner <[email-masked]>
Date: Mon, 8 Apr 2024 21:59:20 -0400

One way around this is to enter (with completion) link-to-Info-index-item, rather than just ‘Info’.  Or you can use link-to-Info-node if that is what you want.  Both should work.  Not sure what ‘Info’ by itself is doing but we’ll sort that out separately.

-- rsw

> On Apr 8, 2024, at 4:39 PM, Mats Lidell <[email-masked]> wrote:
> 
> 
>> 
>> Marc Coquand writes:
>> Heya!
>> 
>> I'm having issues creating a regular Hyperbole button with {C-h h i c}
>> and Info-index.
>> 
>> I wanted to link to a specific info page, however, after setting a label
>> and attempting to link to Info-index, I get the error:
>> 
>> Debugger entered--Lisp error: (error "Cannot clone a file-visiting buffer")
>>  error("Cannot clone a file-visiting buffer")
>>  clone-buffer()
>>  byte-code("\304\305 \306 \307\30\31\32\33\310 \210\311\216r\nq\210\312
>>  \210\313\314\315\".\6C\207" [Info-history-list Info-complete-nodes
>>  Info-complete-menu-buffer completion-ignore-case t clone-buffer
>>  Info-index-nodes nil info--ensure-not-in-directory-node
>>  #f(compiled-function () #<bytecode 0x1f9d9807f94f6>) Info-goto-index
>>  completing-read "Index topic: " Info-complete-menu-item] 4)
>>  hargs:iform-read((interactive (byte-code "\304\305 \306
>>  \307\30\31\32\33\310 \210\311\216r\nq\210\312
>>  \210\313\314\315\".\6C\207" [Info-history-list Info-complete-nodes
>>  Info-complete-menu-buffer completion-ignore-case t clone-buffer
>>  Info-index-nodes nil info--ensure-not-in-directory-node
>>  #f(compiled-function () #<bytecode 0x1f9d9807f94f6>) Info-goto-index
>>  completing-read "Index topic: " Info-complete-menu-item] 4)) nil)
>>  hargs:action-get(#<subr Info-index> nil)
>>  hargs:actype-get(Info-index)
>>  hui:ibut-create(nil nil)
>>  funcall-interactively(hui:ibut-create nil nil)
>>  hui:menu-act(hyperbole nil nil nil)
>>  hyperbole(nil nil nil nil)
>>  funcall-interactively(hyperbole nil nil nil nil)
>>  command-execute(hyperbole)
>> 
>> Version is 20240401.1927.
>> 
>> I'm also noticing that regular info is broken as well:
>> 
>> {C-h h i c eat<RET>info<RET>}
>> 
>> Creates the following:
>> 
>> <[eat]> - <nil nil nil>
>> 
>> Thanks in advance for any help.
>> 
>> Sincerely,
>> Marc
> 
> Hi Marc,
> 
> Thanks for your report. We have confirmed the problems and are working on it.
> 
> %% Mats
> 
> 
> 
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole